locked
File Not Found 404.17 error when changing the CRM AppPool to .Net Framework v 4.0 from .Net Framework v 2.0 RRS feed

  • Question

  • Hi,

    Currently we have CRM 4.0 installed and well setup on the server which runs without any issue wnd the crmAppPool is configured to .net Framework v2.0.  Also we have custom pages built .net solutions which are built on .net framework 4.0 which runs on different apppool configured with  .net Framework v2.0.

    We are planning to migrate the solutions from 4.0 to .net framework 4.5. But we rae facing problem when we change the CRMAppPool to point to the  .net framework 4.0 .

    "File not found error is displayed." And nothing is found in the trace files.

    If my understanding is not wrong then as per the compatiblity mentioned in the below link, CRM 4.0 should support .Net framework 4.0. after installing UR21.

    http://support.microsoft.com/kb/2669061?wa=wsignin1.0

    We have already installed UR21.

    Could anyone please help me on this and guide me if there is any way to run CRM on .net framework 4.0.

    Appreciate immediate help.

    Thanks,

    Tuesday, June 4, 2013 10:44 AM

All replies

  • The problem with the MS compatibility list document is that it does not specify where .Net Framework 4.0 can be used.

    Is it necessary to run the custom pages within the CrmAppPool ? If you have IFD configured, and want to impersonate users within CRM, then you do need to run the pages in the CrmAppPool, but I'm not aware of any other reason to run them in that application pool


    Microsoft CRM MVP - http://mscrmuk.blogspot.com/ http://www.excitation.co.uk

    Tuesday, June 4, 2013 12:44 PM
    Moderator